package org.greenstone.gsdl3.gs3build.classifier;

import java.io.*;

import java.net.URL;

import java.util.List;
import java.util.ArrayList;
import java.util.Iterator;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.w3c.dom.Text;

import org.greenstone.gsdl3.gs3build.util.DOMUtils;

public abstract class AbstractClassifier implements ClassifierInterface
{ public AbstractClassifier()
  {
  }

  public void configure(URL parentURL, org.w3c.dom.Node node)
  { NodeList children = node.getChildNodes();
    for (int c = 0; c < children.getLength(); c ++) {
      Node child = children.item(c);
      
      if (child.getNodeType() == org.w3c.dom.Node.ELEMENT_NODE) {
	String name = child.getNodeName();
	
	if (name.equals("file")) {
	  NamedNodeMap atts = children.item(c).getAttributes();
	  Node attribute = atts.getNamedItem("URL");
	  String urlString = attribute.getNodeValue();
	  if (urlString == null)
	    continue;
	  
	  try {
	    URL url = new URL(parentURL, urlString);
	    //	    this.file = url;
	    System.out.println(url);
	  }
	  catch (java.net.MalformedURLException malEx) {
	    System.out.println(malEx);
	  }
	}
	else if (name.equals("field")) {
	  String fieldName = DOMUtils.getNodeChildText(children.item(c));
	  System.out.println("Adding field " + fieldName);
	  //	  this.fields.add(fieldName.toString());
	}
	else if (name.equals("sort")) {
	  String sortName = DOMUtils.getNodeChildText(children.item(c));
	  //	  this.sort = sortName;
	}
      }
    }
  }
}
